Bug 856606 - ss -ul has no output
ss -ul has no output
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: iproute (Show other bugs)
5.8
Unspecified Unspecified
medium Severity low
: rc
: ---
Assigned To: Petr Šabata
BaseOS QE Security Team
: Patch
Depends On: 691100 811219
Blocks: 836169
  Show dependency treegraph
 
Reported: 2012-09-12 08:05 EDT by David Spurek
Modified: 2015-03-02 00:27 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 811219
Environment:
Last Closed: 2014-06-02 09:01:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Spurek 2012-09-12 08:05:51 EDT
+++ This bug was initially created as a clone of Bug #811219 +++

Description of problem:
ss does not output listening udp ports

Version-Release number of selected component (if applicable):
2.6.32-17.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. ss -ul
  
Actual results:
column headings only

Expected results:
output of all listening udp sockets

Additional info:
netstat -ul works properly

--- Additional comment from psabata@redhat.com on 2012-04-10 12:01:23 EDT ---

This sounds like bug #691100 to me.

--- Additional comment from psabata@redhat.com on 2012-05-31 05:59:30 EDT ---

Josh, could you confirm?

--- Additional comment from jokajak@fedoraproject.org on 2012-05-31 07:14:47 EDT ---

I can confirm that it is the same behavior as that bug, yes.

--- Additional comment from psabata@redhat.com on 2012-05-31 08:48:15 EDT ---

Thank you.


--- Additional comment from psabata@redhat.com on 2012-08-29 11:27:00 EDT ---


    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
    Invoking 'ss -ul' didn't list open UDP sockets.
Consequence
    EL ss users couldn't list open UDP sockets.
Fix
    The ss utility was patched to list UDP sockets.
Result
    The ss utility now correctly reports open UDP sockets.
Comment 1 David Spurek 2012-09-12 08:06:47 EDT
Same problem on rhel5.

Version-Release number of selected component (if applicable):
iproute-2.6.18-13.el5
Comment 2 RHEL Product and Program Management 2013-01-17 04:28:05 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 3 RHEL Product and Program Management 2013-05-01 03:06:28 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 4 RHEL Product and Program Management 2014-03-07 07:12:17 EST
Thank you for submitting this request for inclusion in Red Hat Enterprise Linux 5. We've carefully evaluated the request, but are unable to include it in the  last planned RHEL5 minor release. This Bugzilla will soon be CLOSED as WONTFIX. To request that Red Hat re-consider this request, please re-open the bugzilla via  appropriate support channels and provide additional business and/or technical details about its importance to you.
Comment 5 RHEL Product and Program Management 2014-06-02 09:01:12 EDT
Thank you for submitting this request for inclusion in Red Hat Enterprise Linux 5. We've carefully evaluated the request, but are unable to include it in RHEL5 stream. If the issue is critical for your business, please provide additional business justification through the appropriate support channels (https://access.redhat.com/site/support).

Note You need to log in before you can comment on or make changes to this bug.